<template>
  <PageContainer title="MY ACCOUNT">

    <FlexboxLayout flexDirection="column" width="100%" alignItems="top">

      <FlexboxLayout marginTop="5" marginBottom="3" padding="0, 10%" flexDirection="column">
        <Label width="100%" text="manage my order" fontSize="12" marginTop="5" marginBottom="3" padding="0 5" class="font-roboto-black" color='black'/>
      </FlexboxLayout>

      <StackLayout width="100%" padding="0 10 10 10">
        <SelectionCard text="Order History" @onSelect="$goToScreen('member-order-history')" />
      </StackLayout>

      <StackLayout width="100%" padding="0 10 10 10">
        <SelectionCard text="My Wishlist" @onSelect="$goToProductListScreen('wish-product-list', null, 'WishList', true)" />
      </StackLayout>

      <FlexboxLayout marginTop="5" marginBottom="3" padding="0, 10%" flexDirection="column">
        <Label width="100%" text="manage my models" fontSize="12" marginTop="5" marginBottom="3" padding="0 5" class="font-roboto-black" color='black'/>
      </FlexboxLayout>

      <StackLayout width="100%" padding="0 10 10 10">
        <SelectionCard text="My Model Photos" @onSelect="$goToScreen('member-model-photo')" />
      </StackLayout>

      <FlexboxLayout marginTop="5" marginBottom="3" padding="0, 10%" flexDirection="column">
        <Label width="100%" text="manage my account" fontSize="12" marginTop="5" marginBottom="3" padding="0 5" class="font-roboto-black" color='black'/>
      </FlexboxLayout>

      <StackLayout width="100%" padding="0 10 10 10">
        <SelectionCard text="My Profile" @onSelect="$goToScreen('member-my-profile')" />
      </StackLayout>

      <StackLayout width="100%" padding="0 10 10 10">
        <SelectionCard text="My Addresses" @onSelect="$goToScreen('member-address')" />
      </StackLayout>

      <StackLayout width="100%" padding="0 10 10 10">
        <SelectionCard text="Change Password" @onSelect="$goToScreen('member-password')" />
      </StackLayout>

    </FlexboxLayout>
  </PageContainer>
</template>

<script>
import { mapGetters, mapActions } from "vuex";
import SelectionCard from './selectionCard';
import PageContainer from './PageContainer';
export default {
  props: {
  },
  components: {
    SelectionCard,
    PageContainer
  },
  watch: {
  },
  beforeMount() {
  },
  data() {
    return {
    };
  },
  computed: {
  },
  methods: {
  }
};
</script>

<style scoped>
.page-title {
  text-align: center;
}
</style>
